VMware Cloud Community
hypermike
Contributor
Contributor

runnig hyperic 2.7.5 on a linux-do I have to remove it to install 3.0 Beta

I currently have hyperic 2.7.5 and see that a Hyperic HQ 3.0 Beta is available for release.

Do I have to remove 2.7.5 to install this beta. If I have to remove 2.7.5 do I just remove all
directories under the install point ??? Or can I just install 3.0 Beta with out doing anything tyo
the current 2.7.5 ????

I have installed 2.7.5 on a linux unbuntu 64 system. and want to also install 3.0 Beta.

Does 3.0 support IE or netscape ????
Reply
0 Kudos
5 Replies
JohnMarkOrg
Hot Shot
Hot Shot

Hi Mike,

Please see Chip's (cwitt) post in the Beta forum: http://forums.hyperic.com/jiveforums/forum.jspa?forumID=14

It gives instructions on how to deploy 3.0 beta concurrently with 2.7.x.

-John Mark
Reply
0 Kudos
JohnMarkOrg
Hot Shot
Hot Shot

Sorry, I just realized Chip's post was about Windows specifically.

I haven't tried it yet, but you should be able to do it if you specify difference ports for each. However, I wouldn't really recommend it, and we certainly do not recommend trying out 3.0 beta on a production box. I think I'll try this out later and see how well it works. I'll post my results on the Beta forum.
Reply
0 Kudos
cwitt_hyperic
Hot Shot
Hot Shot

Note: I removed the duplicate of this post from the forums.

2.7.x and 3.0.0 BETA AGENTS ON SAME *NIX HOST

You can install a 3.0.0 beta agent on a host already running a 2.7.x agent. We are doing this in our demo environment currently. When you untar the downloaded agent, you get a directory named "hyperic-hq-agent-3.0.0". I like to rename the beta directories with the build number, so something like "hyperic-hq-agent-3.0.0-242" works for me. Then I..

* cd into the new agent directory
* edit the agent.properties file, adding the line:

agent.listenPort=2145

Note: this port just needs to be an unused port, and most importantly, cannot be the same port in use by your other agent.

* go through the typical agent startup process, making sure to specify the new 3.0 server IP and port, and accept the new port default you've set for the agent.

2.7.x and 3.0.0 BETA SERVER ON THE SAME *NIX HOST

Running multiple copies of the HQ Server on the same host is not supported or recommended, even for test.
Reply
0 Kudos
cwitt_hyperic
Hot Shot
Hot Shot

> Does 3.0 support IE or netscape ????

Like the 2.7.x product (as far as I've experienced), the 3.0 version should work in all the most popular browsers. If you find this is incorrect, it would be good to hear about it.
Reply
0 Kudos
cwitt_hyperic
Hot Shot
Hot Shot

Moved to Hyperic HQ Beta User Forum.
Reply
0 Kudos